Impossible de récupérer quelques archives, 404 not found [Fermé]

Signaler
-
Messages postés
1487
Date d'inscription
mercredi 8 août 2012
Statut
Membre
Dernière intervention
18 mai 2019
-
Bonjour,

Depuis quelque temps je ne peux plus rien installer sur mon ordinateur et même certaines commandes de bases ne fonctionnent pas correctement.


/$ sudo apt-get update
Ign http://fr.archive.ubuntu.com raring-backports/universe Translation-fr
Err http://fr.archive.ubuntu.com raring-backports/multiverse i386 Packages 404 Not Found [IP : 91.189.91.23 80]
W: Impossible de récupérer http://extras.ubuntu.com/ubuntu/dists/raring/main/source/Sources 404 Not Found
E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
(Je vous ai laissé que quelques lignes comme exemple)


/$ sudo apt-get upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.


Quand je tente d'installer des paquets j'obtiens toujours ce même type de résultat :
ATTENTION : les paquets suivants n'ont pas été authentifiés.
aptitude-common libboost-iostreams1.49.0 libcwidget3 libept1.4.12 aptitude

puis après avoir demandé l'installation sans vérification
Err http://fr.archive.ubuntu.com/ubuntu/ raring/main aptitude i386 0.6.8.1-2ubuntu2
404 Not Found [IP : 91.189.91.15 80]
Impossible de récupérer http://fr.archive.ubuntu.com/ubuntu/pool/main/a/aptitude/aptitude-common_0.6.8.1-2ubuntu2_all.deb 404 Not Found [IP : 91.189.91.15 80]
E: Impossible de récupérer quelques archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?

(La encore je vous ai laissé que quelques lignes comme exemple)

J'ai donc tenté un
/$ sudo apt-get update --fix-missing

Mais le résultat est le même que pour apt-get update


J'ai également tenté l'installation par la logithèque ubuntu, mais j'obtiens les mêmes messages :
"Nécessité l'installation de paquets non vérifiées"
puis
"Le téléchargement des informations du dépôt a échoué"


Merci à ceux qui pourront, ou du moins essaieront, de m'aider

6 réponses

Messages postés
1487
Date d'inscription
mercredi 8 août 2012
Statut
Membre
Dernière intervention
18 mai 2019
188
Essaie ceci :
Vous ouvrez le gestionnaire de mise à jour en allant sur : "Activités" puis "Applications" et "Outils systèmes". Quand le gestionnaire de mise à jour est ouvert, vous cliquez sur : "Paramètres", puis sur l'onglet : "Autres logiciels" et là vous vérifiez que toutes les sources sont cochées, principalement les sources "Canonical".

Ensuite vous ouvrez un terminal et dedans vous mettez :

sudo rm -r /var/lib/apt/lists

Il se peut que la requète soit rejetée... pas grave ! puis vous mettez :

sudo mkdir -p /var/lib/apt/lists/partial

Quand il a fini vous mettez :

sudo apt-get update

J'espère que ça va marcher. (extraits de mon site www.suiteduforumentraide.fr)
2
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 60511 internautes nous ont dit merci ce mois-ci

Merci BMMWW pour ton aide.

Effectivement, dans le gestionnaire de mises à jour, les deux sources Canonical étaient décochées, je les ai donc cochées.
Puis j'ai effectué les trois commandes dans le terminal.

Mais j'ai le même résultat qu'avant avec le apt-get update.

Au fait, quand j'ouvre le gestionnaire des mises à jour, il fait automatiquement la vérification des mises à jours, mais ca me donne le message d'erreur suivant :
"Le téléchargement des informations du dépôt a échoué"
J'ai du nouveau, mais ça n'a pas l'air bon signe,

Je viens de refaire une tentative d'installation d'une appli (vlc) depuis le terminal, j'ai d'abord eu un message me disant que les paquets sont manquant, puis une autre fenêtre d'erreur :
"L'application Ubuntu Software Center a subi une erreur interne.
Une erreur s'est produite durant l'envoie de la transaction"
Messages postés
1487
Date d'inscription
mercredi 8 août 2012
Statut
Membre
Dernière intervention
18 mai 2019
188
Il y a une mauvaise ligne dans ta liste des sources.
Pour aller voir dans la liste des sources tu fais dans le terminal :
sudo gedit /etc/apt/sources.list
Quand la liste des sources est ouverte, tu la compares à ce qu'elle doit être. Pour cela tu la cherches dans google en faisant : liste des sources ubuntu (suivi de ton N°)
et tu la modifies.
En cherchant la liste des sources ubuntu pour ma version (13.04), je suis tombé sur ce lien http://doc.ubuntu-fr.org/raring
Et la on peut lire :

"Fin de vie depuis le 27 janvier 2014
Depuis le 27 janvier 2014, Ubuntu 13.04 est en fin de vie. Elle ne profite plus de nouvelle mise à jour de sécurité et les paquets logiciels pour cette version sont déplacés dans des serveurs d'archive. Pour continuer à recevoir des mises à jour de sécurité, veuillez mettre à niveau votre version d'Ubuntu vers une version activement soutenue."

J'hésitais déjà à reformater, mais là c'est décidé, je réinstalle ubuntu à partir de la dernière version (14.04)

Désolé pour le dérangement, et encore merci BMMWW pour ton aide.
Messages postés
1487
Date d'inscription
mercredi 8 août 2012
Statut
Membre
Dernière intervention
18 mai 2019
188
C'est vrai, je pense que c'est la bonne solution, mais tu peux prendre aussi la version 12.04 qui est suivie jusqu'en 2019, je trouve qu'elle est plus fluide, moins demandeuse de ressources...
Messages postés
1487
Date d'inscription
mercredi 8 août 2012
Statut
Membre
Dernière intervention
18 mai 2019
188
Alors, essaie dans le terminal :
sudo rm /var/lib/apt/lists/* -vf
~$ sudo rm /var/lib/apt/lists/* -vf
«/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_raring_partner_binary-i386_Packages» supprimé
«/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_raring_partner_source_Sources» supprimé
«/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_raring_Release» supprimé
«/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_raring_Release.gpg» supprimé
«/var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-i386_Packages» supprimé
«/var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_Release» supprimé
«/var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_Release.gpg» supprimé
«/var/lib/apt/lists/lock» supprimé
rm: impossible de supprimer «/var/lib/apt/lists/partial»: est un dossier


Ensuite apt-get update stop un bon moment sur
"100% [attente des fichiers d'entête]"
puis même résultat qu'avant

Je refais aussi
sudo mkdir -p /var/lib/apt/lists/partial
sudo apt-get update

Même résultat